
Foreman - Bug #21693

SSL intermediate certificates are not honored for ssl_cert

11/16/2017 04:49 PM - Thomas Berger

Status: Closed   

Priority: Normal   

Assignee:    

Category: Smart Proxy   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

History

#1 - 11/16/2017 04:53 PM - Thomas Berger

- Subject changed from SSL certificate chains are not honoured   to SSL intermediate certificates are not honored for ssl_cert

- Category set to Smart Proxy

- Difficulty set to easy

If the client certificate, used to communicate with smart-proxy instances, is not signed by a root-CA, the intermediate CA certificates must be provided

to the server.

Currently, if there is more then one certificate in the ssl_cert file, only the first one gets used.

#2 - 11/16/2017 04:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5012 added

#3 - 11/26/2018 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/5012)

#4 - 08/06/2021 08:31 AM - Leos Stejskal

- Status changed from New to Closed

Hi, I'm closing the issue,

it’s been a while since the last update, if you think that the issue is still relevant please feel free to reopen it.
